.main-box {
    display: flex;
    gap: 40px;
    width: 100%;
}

.main-box2 {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.boxhover2 {
    border-radius: 5px;
    box-shadow: 0 0px 20px 0 rgba(0, 0, 0, 10%);
    display: flex;
    color: #000000;
    background-color: rgba(255, 255, 255, 0.1);
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 30px;
    border: 2px solid #ffffff00;
    transition: border-color 0.5s ease;
    cursor: pointer;
    width: 48%;
    height: 180px;
}

.boxhover2:hover {
    border: 2px solid #FC4F02;
}

.h-auto {
    height: auto !important;
}

.h-150 {
    height: 150px !important;
}

.w-100 {
    width: 100% !important;
}

/* Mobile Screen CSS */
.mobile-heading {
    display: flex;
    align-items: center;

    column-gap: 20px;
}

.mobile-heading h2 {
    font-size: 95px !important;
    color: rgba(252, 79, 2, 0.3);
    font-weight: bold;
}

.mobile-heading h4 {
    color: #FC4F02;
    font-family: 'PTSans-Bold' !important;
    font-size: 28px;
    font-weight: bold;
}

.mobils-main {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.mobile-screen {
    display: flex !important;
    align-items: center;
    position: relative;
    flex-direction: column;
}

.mobile-screen-inner {
    width: 400px;
    height: 640px;
    background: #fff;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    box-shadow: 0 0 30px rgb(0 0 0 / 15%);
    position: relative;
}

.icons1::before {
    content: "";
    position: absolute;
    top: 110px;
    right: 430px;
    width: 120px;
    height: 120px;
    z-index: 99;
    background-image: url(https://rybo.ai/wp-content/themes/Rybo/images/atc/Rybo_Webpage_E_Learning_E_Learning_Provider_Customer_Service/bot-mess.png);
    background-size: cover;
    background-repeat: no-repeat;
}

.mobile-screen-inner-2 {
    border: 18px solid #000000;
    overflow: hidden;
    background: #000;
    border-radius: 50px;
    width: 380px;
    height: 650px;
}

.screen-header img {
    width: 100%;
}

.chat-area {
    flex: 1;
    padding: 15px;
    background: #fff;
    display: flex;
    flex-direction: column;
    gap: 20px;
    overflow-y: scroll;
    overflow-x: hidden;
}

.message-row {
    display: flex;
    align-items: center;
    gap: 10px;
}

.message-row.user {
    flex-direction: row-reverse;
}

.message {
    background: #E7EBF1;
    padding: 10px 15px;
    border-radius: 3px;
    max-width: 75%;
    word-wrap: break-word;
    font-size: 12px;
}

.message.user {
    background: #060042;
    color: #fff;
}

.message.user-2 {
    background: #FC4F02;
    color: #fff;
}

.message.user-3 {
    background: #FC4F02;
    color: #fff;
}

.avatar {
    width: 35px;
    height: 35px;
    background: #ddd;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    color: #555;
    flex-shrink: 0;
}

.avatar img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}

.img-responsive {
    max-width: 100%;
    height: auto;
}

.screen-footer {

    display: flex;
    gap: 10px;
    align-items: center;
}

.screen-footer input {
    flex: 1;
    padding: 10px;
    border-radius: 11px;
    border: 1px solid #ccc;
    outline: none;
}

.screen-footer button {
    padding: 10px 15px;
    border: none;
    border-radius: 20px;
    background: #007bff;
    color: white;
    cursor: pointer;
}

.main-mobile h4 {
    font-family: 'Roboto-Regular' !important;
    color: #FC4F02;
    font-size: 22px;
    font-weight: bold;
}

.mobile-content {
    width: 100%;
    float: left;
    padding: 0 20px;
}

.mobile-content h4 {
    color: #FC4F02;
    font-size: 22px;
    font-weight: bold;
}

.red-box {
    padding: 20px;
    background-color: #FFF2F2;
    border: 2px solid #FF0000;
    border-radius: 15px;
}

.red-box strong {
    color: #FF0000;
}

.green-box {
    padding: 20px;
    background-color: #F2F9F2;
    border: 2px solid #008000;
    border-radius: 15px;
}

.green-box strong {
    color: #008000;
}

.samosa {
    position: relative;
}

.samosa img {
    position: absolute;
    top: 5px;
    left: 160px;

    height: auto;
}

.flex-hei {
    height: 650px;
    display: flex;
    align-items: center;
}

.black {
    color: #000 !important;
}

.box-content {
    display: flex;
    align-items: center;
    gap: 10px;
}

.chatbox {
    width: 80%;
    font-size: 12px !important;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.chatbox .user-chat {
    background-color: #060042;
    color: #fff;
    padding: 10px;
    border-radius: 15px;
    width: 50%;
    align-self: flex-end;
}

.chatbox .bot-chat {
    background-color: #FC4F02;
    color: #fff;
    border-radius: 15px;
    width: 70%;
    padding: 10px;
}

.h-280 {
    height: 280px !important;
}

.boxhover3:hover,
.boxhover4:hover {
    border: 2px solid #fff;
}

.p-100 {
    padding-top: 90px !important;
    padding-bottom: 90px !important;
}

.boxhover4 {
    border-radius: 18px;
    box-shadow: 0 0px 20px 0 rgba(0, 0, 0, 10%);
    display: flex;
    color: #000000;
    background-color: rgba(255, 255, 255, 0.1);
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 30px;
    border: 2px solid #ffffff00;
    transition: border-color 0.5s ease;
    cursor: pointer;
}

.h-180 {
    height: 180px;
}

.p-height-100 {
    height: 100px;
}

.p-height-80 {
    height: 80px;
}

@media (min-width: 0px) and (max-width: 768px) {
    .boxhover2 {
        height: auto;
        width: 100%;
    }

    .p-height-100,
    .p-height-80 {
        height: auto;
    }

    .mobile-screen-2 {
        width: auto;
    }

    .mobile-heading {
        display: flex;
        align-items: flex-start;
        flex-direction: column;
    }

    .p-5 {
        padding: 1rem !important;
    }

    h2 {
        font-size: 40px !important;
        word-break: break-word;
        hyphens: auto;
    }

    .main-box,
    .main-box2 {
        flex-direction: column;
        gap: 0;
    }

    .icons1::after,
    .icons1::before {
        content: "";
        background: none;
        left: 0;
        top: 0;
    }

    .chat-area {
        overflow-y: scroll !important;
    }

    .accordion-custom {
        width: auto;
        max-width: auto;
    }

    .swip {
        display: flex;
        flex-direction: column;
    }

    .items1 {
        order: 2
    }

    .items2 {
        order: 1
    }

    .p-res {
        padding: 1rem !important;
    }

    .accordion-header-custom::after {
        margin-left: 10px;
    }

    .mobils-main {
        grid-template-columns: 1fr;
    }

    .flex-hei {
        height: auto;

    }

    .mobile-screen-inner {
        width: 100%;
        top: 0px;
        box-shadow: 0px 0px 52px 0px rgb(0 0 0 / 10%);
        position: relative;
        margin-top: 20px;
    }

    .mobile-content {
        width: 100% !important;
    }

    .boxhover1 {
        height: auto;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .flex-rev {
        flex-direction: column-reverse;
    }

    .chatbox,
    .chatbox .bot-chat,
    .chatbox .user-chat {
        width: 100%;
    }

    .h-150,
    .h-180,
    .h-280 {
        height: auto !important;
    }
}